LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 02-11-2004, 06:26 PM   #1
sboy
LQ Newbie
 
Registered: Aug 2003
Distribution: Gentoo
Posts: 19

Rep: Reputation: 0
Xwindows won't start kde


I'm tried what I know, and it hasn't helped, so hopefull someone has some advice.

I have RH9 installed and have been working out of gnome for some time. I used kde briefly, but for various reason went back to gnome. After reading the slashdot post about the latest kde release, I decided to give it a try. I downloaded the rpms and used them to update, and started kde 3.2. Everything work just fine, and I played around with it for a few hours. During this time I powered off and started up again a couple times, since I was on my laptop and moving around. Still, everything worked fine. When I got home I decided to install kaffeine and LimeWire, just to give them a try. Once I had them installed, I noticed that the icons in the taskbar were all the same, instead of the unique icons they had been before. I decided to logout and startx again, too see if that fixed the problem. To my dismay, when I ran startx I got the following error message.

/home/sboy/.Xclients-default: line 2: exec: startkde: not found

I know this is the file which red hat's desktop switcher creates to specify what environment xwindows should start in. I poked around a bit, even ran an updatedb then tried to locate startkde, but it doesn't exist anywhere on my computer anymore. I tried to find another program that would fill its place and start kde, but no luck. Anyone have any suggestions? How might this have happened, and what do I need to do to fix it?
 
Old 02-11-2004, 06:40 PM   #2
bnice
Member
 
Registered: Feb 2004
Location: Sacramento, CA
Distribution: Slack 9.1, slackware-current
Posts: 284

Rep: Reputation: 30
copy & paste- name it /opt/kde/bin/startkde

#!/bin/sh
#
# DEFAULT KDE STARTUP SCRIPT ( KDE-3.2 )
#

# When the X server dies we get a HUP signal from xinit. We must ignore it
# because we still need to do some cleanup.
trap 'echo GOT SIGHUP' HUP

# we have to unset this for Darwin since it will screw up KDE's dynamic-loading
unset DYLD_FORCE_FLAT_NAMESPACE

# Boot sequence:
#
# kdeinit is used to fork off processes which improves memory usage
# and startup time.
#
# * kdeinit starts the dcopserver and klauncher first.
# * Then kded is started. kded is responsible for keeping the sycoca
# database up to date. When an up to date database is present it goes
# into the background and the startup continues.
# * Then kdeinit starts kcminit. kcminit performs initialisation of
# certain devices according to the user's settings
#
# * Then ksmserver is started which in turn starts
# 1) the window manager (kwin)
# 2) everything in $KDEDIR/share/autostart (kdesktop, kicker, etc.)
# 3) the rest of the session.

# The user's personal KDE directory is usually ~/.kde, but this setting
# may be overridden by setting KDEHOME.

kdehome=$HOME/.kde
test -n "$KDEHOME" && kdehome=`echo "$KDEHOME"|sed "s,^\~/,$HOME/,"`

# Activate the kde font directories.
#
# There are 4 directories that may be used for supplying fonts for KDE.
#
# There are two system directories. These belong to the administrator.
# There are two user directories, where the user may add her own fonts.
#
# The 'override' versions are for fonts that should come first in the list,
# i.e. if you have a font in your 'override' directory, it will be used in
# preference to any other.
#
# The preference order looks like this:
# user override, system override, X, user, system
#
# Where X is the original font database that was set up before this script
# runs.

usr_odir=$HOME/.fonts/kde-override
usr_fdir=$HOME/.fonts

# Add any user-installed font directories to the X font path
kde_fontpaths=$usr_fdir/fontpaths
do_usr_fdir=1
do_usr_odir=1
if test -r "$kde_fontpaths" ; then
savifs=$IFS
IFS=$'\n'
for fpath in `grep -v '^[ ]*#' < "$kde_fontpaths"` ; do
rfpath=`echo $fpath | sed s:\~:$HOME:g`
if test -s "$rfpath"/fonts.dir; then
xset fp+ "$rfpath"
if test "$rfpath" = "$usr_fdir"; then
do_usr_fdir=0
fi
if test "$rfpath" = "$usr_odir"; then
do_usr_odir=0
fi
fi
done
IFS=$savifs
fi

if test -n "$KDEDIRS"; then
kdedirs_first=`echo "$KDEDIRS"|sed -e 's/:.*//'`
sys_odir=$kdedirs_first/share/fonts/override
sys_fdir=$kdedirs_first/share/fonts
else
sys_odir=$KDEDIR/share/fonts/override
sys_fdir=$KDEDIR/share/fonts
fi

# We run mkfontdir on the user's font dirs (if we have permission) to pick
# up any new fonts they may have installed. If mkfontdir fails, we still
# add the user's dirs to the font path, as they might simply have been made
# read-only by the administrator, for whatever reason.

# Only do usr_fdir and usr_odir if they are *not* listed in fontpaths
test -d "$sys_odir" && xset +fp "$sys_odir"
test $do_usr_odir -eq 1 && test -d "$usr_odir" && (mkfontdir "$usr_odir" ; xset +fp "$usr_odir")
test $do_usr_fdir -eq 1 && test -d "$usr_fdir" && (mkfontdir "$usr_fdir" ; xset fp+ "$usr_fdir")
test -d "$sys_fdir" && xset fp+ "$sys_fdir"

# Ask X11 to rebuild its font list.
xset fp rehash

# if the user has overwritten fonts, the cursor font may be different now
# so don't move this up

# Set a left cursor instead of the standard X11 "X" cursor, since I've heard
# from some users that they're confused and don't know what to do. This is
# especially necessary on slow machines, where starting KDE takes one or two
# minutes until anything appears on the screen.
#
# Set the background to plain grey.
# The standard X background is nasty, causing moire effects and exploding
# people's heads. We use colours from the standard KDE palette for those with
# palettised displays.

test "$XDM_MANAGED" || bkg="-solid #C0C0C0"
xsetroot -cursor_name left_ptr $bkg

# Get Ghostscript to look into user's KDE fonts dir for additional Fontmap
if test -n "$GS_LIB" ; then
GS_LIB=$usr_fdir:$GS_LIB
export GS_LIB
else
GS_LIB=$usr_fdir
export GS_LIB
fi

# Link "tmp" resource to directory in /tmp
# Creates a directory /tmp/kde-$USER and links $KDEHOME/tmp-$HOSTNAME to it.
lnusertemp tmp >/dev/null

# Link "socket" resource to directory in /tmp
# Creates a directory /tmp/ksocket-$USER and links $KDEHOME/socket-$HOSTNAME to it.
lnusertemp socket >/dev/null

# Link "cache" resource to directory in /var/tmp
# Creates a directory /var/tmp/kdecache-$USER and links $KDEHOME/cache-$HOSTNAME to it.
lnusertemp cache >/dev/null

# In case of dcop sockets left by a previous session, cleanup
dcopserver_shutdown

echo 'startkde: Starting up...' 1>&2

# run KPersonalizer before the session, if this is the first login
if kreadconfig --file kpersonalizerrc --group General --key FirstLogin --default true --type bool; then
# start only dcopserver, don't start whole kdeinit (takes too long)
echo 'startkde: Running kpersonalizer...' 1>&2
dcopserver
kwin --lock &
kpersonalizer --before-session
# handle kpersonalizer restarts (language change)
while test $? -eq 1; do
kpersonalizer --r --before-session
done
dcopserver_shutdown
# shutdown will also make kwin quit, give it time to do so
sleep 1
fi

# the splashscreen and progress indicator
ksplash --nodcop

# We set LD_BIND_NOW to increase the efficiency of kdeinit.
# kdeinit unsets this variable before loading applications.
LD_BIND_NOW=true kdeinit +kcminit +knotify
if test $? -ne 0; then
# Startup error
echo 'startkde: Could not start kdeinit. Check your installation.' 1>&2
xmessage -geometry 500x100 "Could not start kdeinit. Check your installation."
fi

# finally, give the session control to the session manager
# if the KDEWM environment variable has been set, then it will be used as KDE's
# window manager instead of kwin.
# if KDEWM is not set, ksmserver will ensure kwin is started.
# kwrapper is used to reduce startup time and memory usage
# kwrapper does not return usefull error codes such as the exit code of ksmserver.
# We only check for 255 which means that the ksmserver process could not be
# started, any problems thereafter, e.g. ksmserver failing to initialize,
# will remain undetected.
test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"
kwrapper ksmserver $KDEWM
if test $? -eq 255; then
# Startup error
echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2
xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
fi

echo 'startkde: Shutting down...' 1>&2

# Clean up
kdeinit_shutdown
dcopserver_shutdown
artsshell -q terminate

echo 'startkde: Running shutdown scripts...' 1>&2

# Run scripts found in $KDEDIRS/shutdown
for prefix in `kde-config --path exe| sed -e 's^bin/^shutdown/^g;s^:^ ^g'`
do
for file in $prefix/*
do
if test -f $file
then
$file
fi
done
done

echo 'startkde: Done.' 1>&2
 
Old 02-11-2004, 11:04 PM   #3
sboy
LQ Newbie
 
Registered: Aug 2003
Distribution: Gentoo
Posts: 19

Original Poster
Rep: Reputation: 0
Thanks for the shell script, though unfortunately it didn't solve my problem. But it sure revealed the true nature to me. I pasted the script and saved it into the suggested directory, though I discovered that, atleast in Red Hat, in needs to be in /usr/X11R6/bin/ . I finally got it to get past the first error I posted, when I got another message that yet another kde component was missing, and the start up failed. This got me curious. For some reason, major kde components are missing from my computer, as if it was uninstalled. But when I run the rpms to reinstall it, it tells me everything is still there. It doesn't even show up in Red Hat's desktop switcher anymore, so I'm sure there's something wrong with the install. I post again when I figure it out, just in case someone else runs into this same problem.
 
Old 02-11-2004, 11:37 PM   #4
sboy
LQ Newbie
 
Registered: Aug 2003
Distribution: Gentoo
Posts: 19

Original Poster
Rep: Reputation: 0
Okay, I figured it out, though I'm not entirely sure why it happened. Somehow enough of it got removed that it no longer started, nor did Red Hat's desktop switcher recognize its existence. But the rpm packages were still installed. I ran rpm -ivh --replacepkgs --nodeps in the directory where I had downloaded the new rpms. Everything installed again, and I'm happily back in kde. Hopefully this will help anyone who runs into the same problem.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
can't start xwindows ust Linux - General 3 01-17-2005 08:05 AM
can't start xwindows ust Linux - Software 6 10-27-2003 07:16 PM
XWindows won't start !! netkepala Linux - Networking 5 08-31-2003 04:01 AM
Can't start xwindows juno Linux - General 3 12-18-2002 01:21 PM
start xwindows lakshman Linux - General 3 10-15-2002 10:41 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:06 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration